Jump to content
marsdaddy

Amplifi App on iOS 9

Recommended Posts

Hi - I'm having no luck with the amplifi app and the iOS 9 beta - it crashes as soon as it tries to sync with the amp (an amplifi 75 in my case).

 

Anyone else had more luck? I've asked line 6 but... 

  • Upvote 1

Share this post


Link to post
Share on other sites

Well they don't it beta for nothing... I imagine Line 6 will release a compatible version of the app when iOS 9 is officially released.

  • Upvote 1
  • Downvote 2

Share this post


Link to post
Share on other sites

Nope, you are not alone. Same thing for me. Crash on sync attempt.

 

That's what we get for living on the edge!

 

I for one would be glad to be involved in any testing Line6 may or may not be doing.

 

I updated both my iPad Air 2 and my iPhone 6. I wish I would have left one of them at iOS 8! No downgrade option either. 8^(

Share this post


Link to post
Share on other sites

Yes - considering it was known to be broken two months ago, the fact they couldn't get a grip on it and release a fix in time is awful. Any competent developer could do this, I develop apps myself and know that this issue could have been fixed easily.

Share this post


Link to post
Share on other sites

Yes - considering it was known to be broken two months ago, the fact they couldn't get a grip on it and release a fix in time is awful. Any competent developer could do this, I develop apps myself and know that this issue could have been fixed easily.

 

So what's the issue they're having exactly?  And how do they fix it?

 

I would love to hear the thoughts of a software engineer on how to easily fix the problem with the app.  Maybe you could submit your thoughts to Line 6 customer support to help them out.

  • Upvote 2

Share this post


Link to post
Share on other sites

So what's the issue they're having exactly?  And how do they fix it?

 

I would love to hear the thoughts of a software engineer on how to easily fix the problem with the app.  Maybe you could submit your thoughts to Line 6 customer support to help them out.

 

The issue manifests when bluetooth comms are attempted - happens predictably ever time. They shouldn't need an outsider to tell them how to fix it, running it in a debugger would tell them in minutes what the issue is. Most likely an API call is returning a null pointer where it used to return an address, probably because the API has either changed it's signature, or become more strict, or it's return behaviour has been amended.

 

The point is, bugs that happen the same way every time are the easiest to diagnose, and as this used to work (to an extent), the fix should be relatively trivial and quick. The fact they haven't released a fixed version ahead of a well publicised release date is just awful.

  • Upvote 1

Share this post


Link to post
Share on other sites

Well publicized release date?  The final release date was just issued 2 weeks ago.  And even Apple is having problems sorting things out.  Watch OS2 has been delayed because they couldn't fix a bug in time for the release.  Even iOS 9 (just like any other release before it) isn't fully polished.  There are lots of apps that don't work on iOS 9 yet, and lots of bugs in the os.

 

For all we know, the initial bluetooth connection problem could have been fixed long ago.  Maybe they also ran into problems with multitasking and PiP in iOS 9.  It's been suggested in another thread that Line 6 is also working on a firmware upgrade for the Amplifi series.  Maybe they ran into problems with that.  Or maybe they're trying to implement some of the new features of bluetooth 4.2.

 

My point is, the situation is likely not nearly as cut-and-dry as you're suggesting.  Since nobody except Line 6 knows what's going on, it's pointless to speculate on how easy anything is to fix. 

 

 

 

 

 

 

For what it's worth, I just want to add that I'm not a Line 6 fanboy.  I think they have horrible customer service and support.  If an update for the app isn't released by the 24th (when new iOS 9 devices ship) than I'm going to be just as pissed off as you and everybody else.  

 

I'm just not there yet because I was never expecting an update yesterday.  I pretty much expected them to be 1-2 weeks behind.

Share this post


Link to post
Share on other sites

Shouldn't line 6 at least release a statement that they are aware of the problem and are working on it instead of leaving everyone guessing and desperately searching thru the web and these forums for some info? That would be calming at least.

Share this post


Link to post
Share on other sites

Shouldn't line 6 at least release a statement that they are aware of the problem and are working on it instead of leaving everyone guessing and desperately searching thru the web and these forums for some info? That would be calming at least.

 

Like this? http://line6.com/support/forum-70/announcement-70-ios-9-compatibility-statement/  (the first announcement on the top of this page).

  • Upvote 1

Share this post


Link to post
Share on other sites

Yes, like that and  a little more specifics like.  What if you already updated? How long will it take to fix the app?  Have you identified the problem or are working on the solution or are still working to identifying the problem? How about an application that would do the same for a Mac or Windows computer? 

Share this post


Link to post
Share on other sites

I just got my amplifi 150 and it's useless because I have already updated to iOS 9. Please update this app and make a mac firmware update. Not a happy customer.

  • Upvote 1

Share this post


Link to post
Share on other sites

Well they don't it beta for nothing... I imagine Line 6 will release a compatible version of the app when iOS 9 is officially released.

nope!

  • Upvote 1

Share this post


Link to post
Share on other sites

I submitted a review on the "AMPFLIFii app" just yesterday. I had held off submitting a review.  1 star. It would seem to me that since I regsitered my device (AMPLIFii TT) online with Line 6 they would have the information to send out an alert email about Apple devices and iOS-9 not being compatible with the "AMPLIFii Remote".  Nope, didn't happen. I had been using my iPhone 5C for sometime, this summer, with the Amp under iOS-8 with little to no problems. Then comes the Apple update to iOS-9. My wife gave me a FBV Shortboard MkII for my birthday and it arrived 17 Sept.  I got to use the shortboard with the Amp for a little while then saw that their was an update from Apple to iOS-9 so like a dummy I go ahead and do the update. Now nothing.  Oh I can use the shortboard with the Amp but I'm limited to the 4 presets.  My wife has and Android pad (Samsung Galaxy) and it wont' connect via bluetooth to the amp either. Can't figure that out because it finds my Lenovo laptop just fine. I'm confused and frustrated!!

Share this post


Link to post
Share on other sites

I submitted a review on the "AMPFLIFii app" just yesterday. I had held off submitting a review.  1 star. It would seem to me that since I regsitered my device (AMPLIFii TT) online with Line 6 they would have the information to send out an alert email about Apple devices and iOS-9 not being compatible with the "AMPLIFii Remote".  Nope, didn't happen. I had been using my iPhone 5C for sometime, this summer, with the Amp under iOS-8 with little to no problems. Then comes the Apple update to iOS-9. My wife gave me a FBV Shortboard MkII for my birthday and it arrived 17 Sept.  I got to use the shortboard with the Amp for a little while then saw that their was an update from Apple to iOS-9 so like a dummy I go ahead and do the update. Now nothing.  Oh I can use the shortboard with the Amp but I'm limited to the 4 presets.  My wife has and Android pad (Samsung Galaxy) and it wont' connect via bluetooth to the amp either. Can't figure that out because it finds my Lenovo laptop just fine. I'm confused and frustrated!!

I was able, today, to get my wife's Android Samsung Galaxy pad to pair with the AMPLIFii TT, now I need to figure out how to get my music from iTunes to the Android pad.

Share this post


Link to post
Share on other sites

I just got my amplifi 150 and it's useless because I have already updated to iOS 9. Please update this app and make a mac firmware update. Not a happy customer.

I'm in the same boat! Why didn't the retailer tell me there was a problem?

  • Upvote 1

Share this post


Link to post
Share on other sites

Well indeed a bad surprise today, when my app kept crashing with the new iOS9. Actually, the bluetooth works as I can stream music to my AmplifiTT using Music and work with the four preset tones, until someone decides it shall be time to make something to solve that issue.

The connectivity and multimedial world has a zillions of advantages, some few problems however makes things quite challenging.

Line6 shall urge in solving that issue as thei products are not delivering what is advertized about the Amplifi series, for the moment, the whistles and bells sit into the cloud and wait with a sardonic smile on us.

Overpromising and underdelivering is most probably the outmost sins of marketeers and Line6 does not make any exception to it.

Share this post


Link to post
Share on other sites

Unbelievable.

 

I don't know when Line6 posted this information that Amplifi app is not compatible with IOS 9, since there is no date on the post (http://line6.com/support/forum-70/announcement-70-ios-9-compatibility-statement).

 

But I sure as hell didn't find out until it was too late. Why not a mass email? Why not something on the main Line6 page? Why not a post in the forum?

 

Peeved, disappointed, and frustrated.

  • Upvote 1

Share this post


Link to post
Share on other sites

This really is a fail on the part of Line6 - it isn't like iOS 9 was a secret that caught them by surprise.  Consumer expectations are that when apple releases the new OS, the app vendors like Line6 have been working to get their apps up to spec so that they are actually upgraded BEFORE the OS release.  Because when the app doesn't work customers leave.  For me, I am thinking of selling off my last piece of Line6 equipment because of this.

  • Upvote 3

Share this post


Link to post
Share on other sites

on Line6 website, compatibility with iOS is still stated for the Amplifi line. Misleading advertisement :-(

From the consumer perspective Line6 should suspend any marketing on the Amplifi line until the App is released, but who cares about consumers resp. customers.

Just want to remind that we as customers are paying your salaries by purchasing your products, so perhaps caring about customers would help.

Share this post


Link to post
Share on other sites

This is so lame. only had my Amplifi 150 for 2 weeks and now the app will not work. Even told one of my students about the rig and he purchased the same amp for $500.00 now he cant even use it. Dude no work around? just a canned statement about check back ferquently for news updates. Can you mabey make a statement on when it will be fixed?... even a workaround .... Damm!

 

This is not like you guys!!!

 

Yours truely

Very Disenchanted..

Share this post


Link to post
Share on other sites

All I really want to know is when the updated app will be available? Recording with my massively over-processed presets is a no go. Great for noodling around with but not so much for recording!

Share this post


Link to post
Share on other sites

Wow, you think they would have sent out an email or something saying not to update. I generally don't check the forums until I have a problem. Obviously I have the same problem as everyone here. I loved my Amplifi in the begining, but lately it has been nothing but trouble. And as usual, I have a gig in just a few days, and the amp is useless without the app. Thanks again Line 6!

Share this post


Link to post
Share on other sites

I bought the amplifi 75 today to use it on a party gig on Saturday just to find out that it is of no use under ios9.

 

Sorry to say, this is a NO GO!

 

Could line6 please provide us with information about the timeline

 

- found fix

- new release submitted to Apple

etc

 

I'm really thinking about bringing it back to the dealer and look for other gear.

Next time I will check the web in advance and will not believe in brand any more.

Share this post


Link to post
Share on other sites

This whole situation is ridiculous! I purchased a 150 last week from a local distributor. No mention of any problems. Registered the device with the Line 6 website - again, no warning to avoid upgrading to IOS9. System didn't work for reasons I now know. But the response from Line 6 has been hopeless and I now understand from a US user in the same position that it might be months before the resources are available to develop a new app. It would seem sensible therefore for Line 6 to withdraw from sale all products where such a situation exists. It's not as if the app was a "nice to have". It's an essential component of the product offering and people will have made purchasing decisions based on the app working as advertised. At the very least, we should demand a comprehensive update from Line 6. Their current stance is arrogant in the extreme!

Share this post


Link to post
Share on other sites

I had months of Bluetooth dropout issues with my Amplifi 75 which seemed to go away with the last app update. Yes I updated to the latest iOS as I always do. Longer battery life etc and now no Amplifi at all.

Very frustrating. Even Lindedin has updated their app.

 

I pulled my old Pod X3 Live out and found out the Line 6 no longer allows me to download tones to it. There isn't any software to support the device anymore. It was the best five years ago.

 

My belief is that all of their energy is going towards getting Helix out on time. It is due at the end of summer, days away.

This is a product that I was seriously thinking of buying. But with this lack of customer service I think that my money is best spent elsewhere.

 

It's very unfortunate as I was very excited about the Helix.

Five years from now I might have a board that I can't download tones too.

  • Upvote 1

Share this post


Link to post
Share on other sites

Well publicized release date?  The final release date was just issued 2 weeks ago.  And even Apple is having problems sorting things out.  Watch OS2 has been delayed because they couldn't fix a bug in time for the release.  Even iOS 9 (just like any other release before it) isn't fully polished.  There are lots of apps that don't work on iOS 9 yet, and lots of bugs in the os.

 

For all we know, the initial bluetooth connection problem could have been fixed long ago.  Maybe they also ran into problems with multitasking and PiP in iOS 9.  It's been suggested in another thread that Line 6 is also working on a firmware upgrade for the Amplifi series.  Maybe they ran into problems with that.  Or maybe they're trying to implement some of the new features of bluetooth 4.2.

 

My point is, the situation is likely not nearly as cut-and-dry as you're suggesting.  Since nobody except Line 6 knows what's going on, it's pointless to speculate on how easy anything is to fix. 

 

 

 

 

 

 

For what it's worth, I just want to add that I'm not a Line 6 fanboy.  I think they have horrible customer service and support.  If an update for the app isn't released by the 24th (when new iOS 9 devices ship) than I'm going to be just as pissed off as you and everybody else.  

 

I'm just not there yet because I was never expecting an update yesterday.  I pretty much expected them to be 1-2 weeks behind.

I think it is pretty cut and dry. It seems that those who have had some past experience with Line 6 were not overly surprised by their lack of response to an issue that so fundamentally affects a line of products they continue to promote. Apple had a long and by all counts extensive beta rollout of the new iOS, and Line 6 has been aware of their problem since July. I would never have thought to seek out Line 6's position on updating the software, and actually did so with some foolish hope that the "advanced" Line 6 software might run smoother and make the experience less frustrating and more dependable than it has been. The supporters of Line 6 are seeming to imply that this equipment is for home and hobby use only, and while I'm inclined to agree with them, that is not how it was marketed. Line 6 has attempted to position itself at the leading edge of sound modelling and musical innovation for stage, studio and home.  I'll see how this develops, but as it stands today, I regret my recent purchases and would not purchase a Line 6 product again.

  • Upvote 1

Share this post


Link to post
Share on other sites

So Amplified dies on iOS 9. Thanks for telling us in advance

Line 6.

 

Line 6 has created more anger than they can possibly know...They have all our emails, they could have sent out a warning or two. We're supposed to come here to find out? Really? Really?

 

Was a Line 6 fanboy for 15 years. Now a hater. I've got gigs on the line and need to go out and get some Boss gear that actually works, unlike my now useless Line 6 hardware. Suppose I can sell it at a loss to someone on eBay who hasn't heard about this cluster----.

 

What really stirs the anger is that L6 is just silent on the whole mess, although silence on their end does seem to be the norm more & more.....

  • Upvote 1
  • Downvote 1

Share this post


Link to post
Share on other sites

Please explain that Amplifi app can't work on iOS9 in app store.

I already update iOS9, so my Amplifi fx100 useless now.

 

I'm korean user. Line6 should be know about so many line6 users in korea.

This time, I so much disappointed.

Share this post


Link to post
Share on other sites

Requested Line6Tony to update the status, and at least inform us when to expect an update.

 

http://line6.com/support/forum-70/announcement-70-ios-9-compatibility-statement/

 

Here's the answer I got:

 

Line6Tony has replied to a personal conversation entitled "Please update us on the satus.".

 

"Hi. We're still working on it. I have no definite time frame to offer, but it is a high priority internally. We will post again when it's ready. Thank you for your patience."

 

So I'm guessing they either can't find a good iOS developer to make her/himself available to look at the problem... because can't imagine this simple bug requires so much time to fix.

Share this post


Link to post
Share on other sites

Here's the answer I got:

 

Line6Tony has replied to a personal conversation entitled "Please update us on the satus.".

 

"Hi. We're still working on it. I have no definite time frame to offer, but it is a high priority internally. We will post again when it's ready. Thank you for your patience."

 

So I'm guessing they either can't find a good iOS developer to make her/himself available to look at the problem... because can't imagine this simple bug requires so much time to fix.

 

No one here really knows how simple or complex the fix is. If it were simple, I have to imagine it would have been done already. I don't believe Line 6 is purposely trying to screw people over. Sometimes things simply happen that our beyond a company's control. Perhaps Apple changed some implementation last minute that Line 6 was depending on. There are all sorts of possible explanations.

Share this post


Link to post
Share on other sites

HELP US PLEASE! Lucky I am having not upgraded my old device, but I desperately need it. Generally more than happy with your hardware... Thanks for not letting us down. Infra rouge.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...